#ifndef _Handle_PColgp_HArray1OfDir_HeaderFile
#define _Handle_PColgp_HArray1OfDir_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColgp_HArray1OfDir;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_HArray1OfDir);

class Handle(PColgp_HArray1OfDir) : public Handle(Standard_Persistent) {
  public:

    Handle(PColgp_HArray1OfDir)():Handle(Standard_Persistent)() {} 
    Handle(PColgp_HArray1OfDir)(const Handle(PColgp_HArray1OfDir)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColgp_HArray1OfDir)(const PColgp_HArray1OfDir* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColgp_HArray1OfDir)& operator=(const Handle(PColgp_HArray1OfDir)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_HArray1OfDir)& operator=(const PColgp_HArray1OfDir* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_HArray1OfDir* operator->() const 
     {
      return (PColgp_HArray1OfDir *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_HArray1OfDir) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
